classification
Title: Data model documentation grammar
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, Hobson.Lane, docs@python, python-dev
Priority: normal Keywords: patch

Created on 2013-01-28 00:24 by Hobson.Lane, last changed 2014-10-06 15:47 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
datamodel-reference-docs.patch Hobson.Lane, 2013-01-28 00:24 documentation patch review
Messages (3)
msg180812 - (view) Author: Hobs (Hobson.Lane) Date: 2013-01-28 00:24
New-style and old-style class expalanation in the datamodel section has minor grammatical errors and one minor ambiguity that could be improved.

http://docs.python.org/2/reference/datamodel.html#new-style-and-classic-classes

* "independently of" should always be "indepenent of"
* single hyphens (-) should be double-hyphens (--) for an m-dash
* "flavour" should be "flavor" (used 100x more often in docs.python)
* "only the symantics of..." is ambiguous. can't tell if 'only' modifies 'symantics' or 'new-style classes'?
msg223242 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-16 17:51
I'm not particularly interested in 2.7 documentation but is there anybody out there who could review this please.
msg228708 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-06 15:47
New changeset b6fab5c89ca9 by Georg Brandl in branch '2.7':
Closes #17057: fix grammar in old-style vs new-style class docs.
https://hg.python.org/cpython/rev/b6fab5c89ca9
History
Date User Action Args
2014-10-06 15:47:00python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg228708

resolution: fixed
stage: resolved
2014-07-16 17:51:15BreamoreBoysetnosy: + BreamoreBoy
messages: + msg223242
2013-01-28 00:24:17Hobson.Lanecreate